pcl::PCLImage Struct Reference

`#include <pcl/PCLImage.h>`

## Public Types

typedef boost::shared_ptr< ::pcl::PCLImage > | Ptr
typedef boost::shared_ptr< ::pcl::PCLImage const > | ConstPtr

## Public Member Functions

| PCLImage ()

## Public Attributes

::pcl::PCLHeader | header
pcl::uint32_t | height
pcl::uint32_t | width
std::string | encoding
pcl::uint8_t | is_bigendian
pcl::uint32_t | step
std::vector< pcl::uint8_t > | data

## Detailed Description

Definition at line 16 of file PCLImage.h.

## Member Typedef Documentation

## ConstPtr

typedef boost::shared_ptr< ::pcl::PCLImage const> pcl::PCLImage::ConstPtr

Definition at line 34 of file PCLImage.h.

## Ptr

typedef boost::shared_ptr< ::pcl::PCLImage> pcl::PCLImage::Ptr

Definition at line 33 of file PCLImage.h.

## Constructor & Destructor Documentation

## PCLImage()

pcl::PCLImage::PCLImage | ( |  | ) |

inline

Definition at line 18 of file PCLImage.h.

## Member Data Documentation

## data

std::vector<pcl::uint8_t> pcl::PCLImage::data

Definition at line 31 of file PCLImage.h.

Referenced by pcl::io::PointCloudImageExtractor< PointT >::extract(), pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromLabelField< PointT >::extractImpl(), and pcl::toPCLPointCloud2().

## encoding

std::string pcl::PCLImage::encoding

Definition at line 26 of file PCLImage.h.

Referenced by pcl::io::PointCloudImageExtractor< PointT >::extract(), pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromLabelField< PointT >::extractImpl(), and pcl::toPCLPointCloud2().

## header

::pcl::PCLHeader pcl::PCLImage::header

Definition at line 22 of file PCLImage.h.

## height

pcl::uint32_t pcl::PCLImage::height

Definition at line 24 of file PCLImage.h.

Referenced by pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromLabelField< PointT >::extractImpl(), and pcl::toPCLPointCloud2().

## is_bigendian

pcl::uint8_t pcl::PCLImage::is_bigendian

Definition at line 28 of file PCLImage.h.

## step

pcl::uint32_t pcl::PCLImage::step

Definition at line 29 of file PCLImage.h.

Referenced by pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromLabelField< PointT >::extractImpl(), and pcl::toPCLPointCloud2().

## width

pcl::uint32_t pcl::PCLImage::width

Definition at line 25 of file PCLImage.h.

Referenced by pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl(), pcl::io::PointCloudImageExtractorFromLabelField< PointT >::extractImpl(), and pcl::toPCLPointCloud2().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/PCLImage.h